Bug 196345 - rescue mode: add filesystem label to partition chooser
rescue mode: add filesystem label to partition chooser
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-06-22 13:37 EDT by John Reiser
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-07 13:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2006-06-22 13:37:38 EDT
Description of problem: In rescue mode, the dialog box "System to Rescue" should
list the filesystem labels (if any) as well as the partitions.  Also, the text
"What partition holds the root ..." should read "Which partition hold the root
..." [a minor grammar correction.]

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. "boot: linux rescue" on a aystem with more than one installed Fedora system
root partition.
2. Advance to the dialog box "System to Rescue"
Actual results:
The partitions are listed only by name (hda3,hdb2, etc.)

Expected results:
The filesystem labels, if any, should appear in addition to the partition name.
   I often use tune2fs to set the ext3 label to be the release name or number. 
This helps me identify which system is which.

Additional info:
Comment 1 Jeremy Katz 2006-06-25 21:30:35 EDT
Seems reasonable
Comment 2 Chris Lumens 2006-06-26 13:46:13 EDT
Committed to Rawhide.  Please test with FC6 test 2.
Comment 3 John Reiser 2006-06-30 00:52:22 EDT
"rawhide report: 20060629 changes" says that anaconda- has the
change.  However, FC-development-i386-rescuecd.iso of 2006-06-29 with sha1sum 
de6e2ccb329759ebd7f20d659c4d6ead3c2fa424 still shows just the partition name
(such as "hda7") and no ext3 label (such as "/fc1" on my system.)

I'll test again at FC6test2, but I thought that "committed to Rawhide" plus
appearing the "rawhide report" meant that the changed version was supposed to be
available in the packaged rescuecd.
Comment 4 Chris Lumens 2006-07-05 16:16:07 EDT
Yes, this should be in there.  I will test this week and make sure it's working
as intended.
Comment 5 John Reiser 2006-07-06 11:25:40 EDT
Printing the ext3 filesystem label is missing from the "System to Rescue" dialog of
FC-development-i386-rescuecd.iso	2006-Jul-06 02:57:07 [PDT?]	78.7M

I see a one-column list of the nine systems I have installed (hda7, hda8, hda9,
hda10, hda11, hda12, hdb7, hd10, hdb9 [yes, the last two partitions are not in
ascending cylinder order]) but no labels.
Comment 6 Chris Lumens 2006-07-07 12:59:29 EDT
Yeah, that patch was wrong.  Committing a new and tested patch that works for
both regular partitions and LVM.
Comment 7 John Reiser 2006-07-08 10:51:36 EDT
Confirmed: works for me in anaconda-

Note You need to log in before you can comment on or make changes to this bug.